## ros-iron-moveit-servo 2.8.0

=== debian/changelog ===
ros-iron-moveit-servo (2.8.0-1jammy) jammy; urgency=high

  * [Servo] Fix Twist transformation  (#2311 <https://github.com/ros-planning/moveit2/issues/2311>)
  * [Servo] Add additional info about twist frame conversion  (#2295 <https://github.com/ros-planning/moveit2/issues/2295>)
    * Update docstring + warning for twist frame conversion
    * Apply suggestions from code review
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Suppress old-style-cast warnings
    ---------
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
  * [Servo] Refactoring servo (#2224 <https://github.com/ros-planning/moveit2/issues/2224>)
  * Replaced numbers with SystemDefaultsQos() (#2271 <https://github.com/ros-planning/moveit2/issues/2271>)
  * Fix Servo suddenHalt() to halt at previous state, not current (#2229 <https://github.com/ros-planning/moveit2/issues/2229>)
  * Fix the launching of Servo as a node component (#2194 <https://github.com/ros-planning/moveit2/issues/2194>)
    * Fix the launching of Servo as a node component
    * Comment improvement
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    * Add launch argument
    ---------
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
  * Revert central differencing calculation in servo (#2203 <https://github.com/ros-planning/moveit2/issues/2203>)
    * Revert central differencing calculation in servo
    * current_joint_state_ to internal_joint_state_
  * Fix servo speed scaling YAML parameters (#2211 <https://github.com/ros-planning/moveit2/issues/2211>)
  * Reset Servo filters when starting (#2186 <https://github.com/ros-planning/moveit2/issues/2186>)
  * [Servo] Move enforcePositionLimits and enforceVelocityLimits to utilities (#2180 <https://github.com/ros-planning/moveit2/issues/2180>)
    * Move limit enforcing functions to utilities
    * Fix comments
    * Make clock const
    * Remove clock from enforcePositionLimit
    * Remove clock usage from transformTwistToPlanningFrame and applyJointUpdates
    * Remove clock from vvelocityScalingFactorForSingularity
    * Fix tests
    * Cleanups + clang-tidy
    * Minor cleanups
    * Log output formatting
  * Change servo collision checking parameters to dynamically update (#2183 <https://github.com/ros-planning/moveit2/issues/2183>)
  * Contributors: AndyZe, Sebastian Castro, Shobuj Paul, V Mohammed Ibrahim

 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-servo (2.7.4-1jammy) jammy; urgency=high

  * [Servo] Remove soon-to-be obsolete functions (#2175 <https://github.com/ros-planning/moveit2/issues/2175>)
    * Remove unused functions
    * Remove drift and control dimension client in tests
    * Remove gazebo specific message redundancy
  * [Servo] Restore namespace to parameters (#2171 <https://github.com/ros-planning/moveit2/issues/2171>)
    * Add  namespace to parameters
    * Minor cleanups
  * [Servo] Fix stop callback, delete pause/unpause mode (#2139 <https://github.com/ros-planning/moveit2/issues/2139>)
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
  * [Servo] Make conversion operations into free functions (#2149 <https://github.com/ros-planning/moveit2/issues/2149>)
    * Move conversion operations to free functions
    * Optimizations
    * Fix const references
    * Readability updates
    * Remove unused header
    * Comment update
    ---------
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
  * [Servo] Avoid unnecessary checks for initializing ik_base_to_tip_frame (#2146 <https://github.com/ros-planning/moveit2/issues/2146>)
    * Avoid unnecessary check
    * Make ik_base_to_tip_frame_ local
    * Remove use_inv_jacobian flag
    * Use nullptr instead of NULL
    * Alphabetize + clang-tidy
    * Remove unused header
  * [Servo] Update MoveIt Servo to use generate_parameter_library (#2096 <https://github.com/ros-planning/moveit2/issues/2096>)
    * Add generate_parameter_library as dependency
    * Add parameters file
    * Update parameters file
    * Fix one_of syntax
    * Add parameter generation
    * Include servo param header
    * Test if parameters are loaded
    * Make servo_node partially use ParamListener
    * Make Servo partially use ParamListener
    * Make ServoCalcs partially use ParamListener
    * Fix frame name
    * Handle parameter updates
    * Remove old param lib dependency in CollisionCheck
    * Remove old param lib dependency in ServoCalcs
    * Remove old param lib dependency in Servo
    * Remove old param lib dependency in ServoNode
    * Remove old parameter librarysources
    * Remove parameter_descriptor_builder sources
    * Update parameter library header name
    * Formatting
    * Remove old param lib headers
    * Add parameter to enable/disable continous parameter update check
    * Update pose tracking demo
    * Fix launch time parameter loading for pose tracking
    * Move PID parameters to generate_parameter_library
    * Fix launch time parameter loading for servo example
    * Fix unit tests
    * Fix interface test
    * Fix pose tracking test
    * Redorder member variable initialization
    * Cleanup
    * Group parameters
    * Make parameter listener const
    * Revert disabled lint tests
    * Fix issues from rebase
    * Apply performance suggestion from CI
    * Apply variable naming suggestion from CI
    * Apply pass params by reference suggestion by CI
    * Apply review suggestions
    * Apply review suggestions
    * Remove unused parameter
    * Change parameter listener to unique_ptr
    * Add validations for some parameters
    * Changes from review
    * Make docstring more informative
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    * Change validation failure from warning to error
    * Fix parameter loading in test launch files
    * Remove defaults for robot specific params

