=== debian/control ===
Source: ros-iron-moveit-servo
Section: misc
Priority: optional
Maintainer: Blake Anderson <blakeanderson@utexas.edu>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-control-msgs, ros-iron-generate-parameter-library, ros-iron-geometry-msgs, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-moveit-msgs, ros-iron-moveit-resources-panda-moveit-config <!nocheck>, ros-iron-moveit-ros-planning-interface, ros-iron-pluginlib, ros-iron-realtime-tools, ros-iron-ros-testing <!nocheck>, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-std-srvs, ros-iron-tf2-eigen, ros-iron-trajectory-msgs, ros-iron-ros-workspace
Homepage: https://ros-planning.github.io/moveit_tutorials
Standards-Version: 3.9.2

Package: ros-iron-moveit-servo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-control-msgs, ros-iron-controller-manager, ros-iron-generate-parameter-library, ros-iron-geometry-msgs, ros-iron-gripper-controllers, ros-iron-joint-state-broadcaster, ros-iron-joint-trajectory-controller, ros-iron-joy, ros-iron-launch-param-builder, ros-iron-moveit-common, ros-iron-moveit-configs-utils, ros-iron-moveit-core, ros-iron-moveit-msgs, ros-iron-moveit-ros-planning-interface, ros-iron-pluginlib, ros-iron-realtime-tools, ros-iron-robot-state-publisher, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-std-srvs, ros-iron-tf2-eigen, ros-iron-tf2-ros, ros-iron-trajectory-msgs, ros-iron-ros-workspace
Description: Provides real-time manipulator Cartesian and joint servoing.
